using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using presence.data.Repository;
using presence.domain.UseCase;

namespace presence_api.ServiceExtensions
{
    public static class ServiceExtensions
    {
        public static void ConfigureGroup(this IServiceCollection services)
        {
            services
            .AddScoped<IGroupRepository, SQLGroupRepositoryImpl>()
            .AddScoped<GroupUseCase>();
        }

        public static void ConfigureUser(this IServiceCollection services)
        {
            services
            .AddScoped<IUserRepository, SQLUserRepositoryImpl>()
            .AddScoped<UserUseCase>();
        }
    }
}